Index: npl/overig/archivetools/lzip/lzip.SlackBuild
===================================================================
--- npl/overig/archivetools/lzip/lzip.SlackBuild	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip.SlackBuild	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/a/lzip/
+# Created at Wed Mar 14 11:43:18 CET 2018
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./lzip.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/archivetools/lzip/lzip.SlackBuild.orig
===================================================================
--- npl/overig/archivetools/lzip/lzip.SlackBuild.orig	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip.SlackBuild.orig	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,142 @@
+#!/bin/sh
+
+# Copyright 2014, 2017, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=lzip
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+# Configure:
+./configure \
+  CXXFLAGS="$SLKCFLAGS" \
+  --prefix=/usr \
+  --sysconfdir=/etc \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+) || true
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS COPYING* INSTALL NEWS README* THANKS TODO \
+  $PKG/usr/doc/${PKGNAM}-$VERSION || true
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+  ln -s $( readlink $i ).gz $i.gz
+  rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+  ( cd $PKG/usr/info
+    rm -f dir
+    gzip -9 *
+  )
+fi
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+
+mkdir -p $PKG/install
+#zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/overig/archivetools/lzip/lzip.arch
===================================================================
--- npl/overig/archivetools/lzip/lzip.arch	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip.arch	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/archivetools/lzip/lzip.build
===================================================================
--- npl/overig/archivetools/lzip/lzip.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/archivetools/lzip/lzip.md5
===================================================================
--- npl/overig/archivetools/lzip/lzip.md5	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip.md5	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,7 @@
+6101c93c10d1e9585f4536b01da6fb6e  ./lzip-1.20.tar.gz
+1b699fd46890a8ed1fa25492f24b1e58  ./lzip_dev.pkg
+ac6296daba74090b9c1b51ab6c54591b  ./lzip.pkg
+818bbb93a029e88028a82262c6be7c63  ./lzip.SlackBuild
+91267c6db524fbf95886203759f85514  ./lzip.SlackBuild.log.gz
+82e3b595d74920d0561e1cdb2c14696d  ./lzip.SlackBuild.orig
+08eae677a1399881de9cbbd2c8bf0e79  ./slack-desc
Index: npl/overig/archivetools/lzip/lzip.version
===================================================================
--- npl/overig/archivetools/lzip/lzip.version	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip.version	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,1 @@
+1.20
Index: npl/overig/archivetools/lzip/lzip_dev.arch
===================================================================
--- npl/overig/archivetools/lzip/lzip_dev.arch	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip_dev.arch	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/archivetools/lzip/lzip_dev.build
===================================================================
--- npl/overig/archivetools/lzip/lzip_dev.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip_dev.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/archivetools/lzip/lzip_dev.version
===================================================================
--- npl/overig/archivetools/lzip/lzip_dev.version	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/lzip_dev.version	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,1 @@
+1.20
Index: npl/overig/archivetools/lzip/slack-desc
===================================================================
--- npl/overig/archivetools/lzip/slack-desc	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
+++ npl/overig/archivetools/lzip/slack-desc	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+    |-----handy-ruler------------------------------------------------------|
+lzip: lzip (a lossless data compressor)
+lzip:
+lzip: Lzip is a lossless data compressor with a user interface similar to
+lzip: the one of gzip or bzip2. Lzip decompresses almost as fast as gzip
+lzip: and compresses more than bzip2, which makes it well suited for
+lzip: software distribution and data archiving. Lzip is a clean
+lzip: implementation of the LZMA algorithm.
+lzip:
+lzip: Homepage: http://www.nongnu.org/lzip/lzip.html
+lzip:
+lzip: