Index: npl/internetserver/iproute2/iproute2.SlackBuild.orig
===================================================================
--- npl/internetserver/iproute2/iproute2.SlackBuild.orig	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/iproute2/iproute2.SlackBuild.orig	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,152 @@
+#!/bin/sh
+
+# Copyright 2005-2016  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=iproute2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+#NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-iproute2
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf iproute2-$VERSION
+tar xvf $CWD/iproute2-$VERSION.tar.xz || exit 1
+cd iproute2-$VERSION
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+./configure  # This is okay, really :-)
+
+make \
+  CCOPTS="$SLKCFLAGS" \
+  LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+  CONFDIR=/etc/iproute2 \
+  DOCDIR=/usr/doc/iproute2-$VERSION \
+  MANDIR=/usr/man \
+  DBM_INCLUDE=/usr/include/db48 \
+  $NUMJOBS || exit 1
+
+make install \
+  LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+  CONFDIR=/etc/iproute2 \
+  DOCDIR=/usr/doc/iproute2-$VERSION \
+  MANDIR=/usr/man \
+  DBM_INCLUDE=/usr/include/db48 \
+  DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr
+make install LIBDIR=/usr/lib${LIBDIRSUFFIX} DESTDIR=$PKG/usr/ || exit 1
+
+# This stuff has always been installed under /sbin rather than
+# /usr/sbin, as the latter could possibly be network-mounted, and
+# these utilities may be needed to set up that network, so move
+# them appropriately, but leave symlinks in /usr/sbin so that
+# any scripts using absolute paths will work either way:
+#mkdir $PKG/sbin
+mv $PKG/usr/sbin/* $PKG/sbin
+( cd $PKG/usr/sbin
+  for file in ../../sbin/* ; do
+    ln -sf $file .
+  done
+)
+
+# Don't clobber existing config files
+for file in $PKG/etc/iproute2/* ; do
+  mv $file ${file}.new
+done
+
+# Remove junk:
+[ -d $PKG/usr/usr ] && rm -r $PKG/usr/usr
+[ -d $PKG/usr/var ] && rm -r $PKG/usr/var
+[ -d $PKG/usr/etc ] && rm -r $PKG/usr/etc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+mkdir -p $PKG/usr/doc/iproute2-$VERSION
+cp -a COPYING RE* \
+  $PKG/usr/doc/iproute2-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/iproute2-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
+
Index: npl/internetserver/iproute2/iproute2.build
===================================================================
--- npl/internetserver/iproute2/iproute2.build	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
+++ npl/internetserver/iproute2/iproute2.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -1,1 +1,1 @@
-5224
+5226
Index: npl/internetserver/iproute2/iproute2.md5
===================================================================
--- npl/internetserver/iproute2/iproute2.md5	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
+++ npl/internetserver/iproute2/iproute2.md5	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -1,8 +1,8 @@
 3497816004be1fc10098a5c2cba003b3  ./doinst.sh.gz
 da53966eb3b08ac264f3e9df02e06bfa  ./iproute2-5.14.0.tar.xz
-5bfb3c40c92d77bf47beb46ff25d1dcd  ./iproute2_dev.pkg
-516ad9760830af2a2d23a06db3bd7ac1  ./iproute2.pkg
+0b8740c5ee52c549ee85830bc676eb58  ./iproute2_dev.pkg
+b23bd2757f933b0f55ccadc073b4bd48  ./iproute2.pkg
 eeb90b7ff54a912330d99a771594260d  ./iproute2.SlackBuild
-c720b9fba87946e4c28a55d37d32a2cb  ./iproute2.SlackBuild.log.gz
+3de77cb049c24e8f45bf1d0cf99595ba  ./iproute2.SlackBuild.log.gz
 ca2ffd2d99a878a535e8ce0ee08f6fbf  ./iproute2.SlackBuild.orig
 dc0f300699d2518f9ff3843b700cec4d  ./slack-desc
Index: npl/internetserver/iproute2/iproute2_dev.arch
===================================================================
--- npl/internetserver/iproute2/iproute2_dev.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/iproute2/iproute2_dev.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/iproute2/iproute2_dev.build
===================================================================
--- npl/internetserver/iproute2/iproute2_dev.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/iproute2/iproute2_dev.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+4
Index: npl/internetserver/iproute2/iproute2_dev.version
===================================================================
--- npl/internetserver/iproute2/iproute2_dev.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/iproute2/iproute2_dev.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+5.14.0
Index: npl/internetserver/iproute2/slack-desc
===================================================================
--- npl/internetserver/iproute2/slack-desc	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/iproute2/slack-desc	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
+# leave one space after the ':'.
+
+        |-----handy-ruler------------------------------------------------------|
+iproute2: iproute2 (IP routing utilities)
+iproute2:
+iproute2: These are tools used to administer many advanced IP routing features
+iproute2: in the kernel.  See Configure.help in the kernel documentation 
+iproute2: (search for iproute2) for more information on which kernel options
+iproute2: these tools are used with.
+iproute2: 
+iproute2: These utilities were written by Alexey Kuznetsov.  The current
+iproute2: maintainer of iproute2 is Stephen Hemminger.
+iproute2:
+iproute2:
Index: npl/internetserver/ipv6calc/ipv6calc.SlackBuild
===================================================================
--- npl/internetserver/ipv6calc/ipv6calc.SlackBuild	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/ipv6calc/ipv6calc.SlackBuild	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+##NEED:...
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+
+./configure --prefix=/usr  || exit 1
+sed "s@./ipv6calcweb.cgi@@g" -i ipv6calcweb/Makefile
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/internetserver/ipv6calc/ipv6calc.arch
===================================================================
--- npl/internetserver/ipv6calc/ipv6calc.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/ipv6calc/ipv6calc.arch	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/ipv6calc/ipv6calc.build
===================================================================
--- npl/internetserver/ipv6calc/ipv6calc.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/ipv6calc/ipv6calc.build	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/ipv6calc/ipv6calc.md5
===================================================================
--- npl/internetserver/ipv6calc/ipv6calc.md5	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/ipv6calc/ipv6calc.md5	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,4 @@
+a602e1f947a8de6f84331f98c09d5443  ./4.0.0.tar.gz
+dab508901fb3da414400cf7c3d38e9bf  ./ipv6calc.pkg
+150c04808e0962ee771b2c6ecf88ef93  ./ipv6calc.SlackBuild
+0a82e5c38a0d50302686c875b8844157  ./ipv6calc.SlackBuild.log.gz
Index: npl/internetserver/ipv6calc/ipv6calc.version
===================================================================
--- npl/internetserver/ipv6calc/ipv6calc.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
+++ npl/internetserver/ipv6calc/ipv6calc.version	(revision 2154c77de129f910d0c67ee1d086db703470a5aa)
@@ -0,0 +1,1 @@
+4.0.0