Index: npl/internetserver/libreswan/libreswan.SlackBuild
===================================================================
--- npl/internetserver/libreswan/libreswan.SlackBuild	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan/libreswan.SlackBuild	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -10,7 +10,11 @@
 #DEP:Linux_PAM
 
+#voor dnssec (moet openssl 1.1.x)
+##DEP:ldns
+##DEP:openssl
+
 KVER=`uname -r` || exit 1
 NAME=libreswan
-VERSION=3.19
+VERSION=3.21
 CWD=`pwd`
 TMP="/tmp"
@@ -33,6 +37,6 @@
 #make KERNELSRC=/usr/src/linux INC_USRLOCAL=/usr module || exit 1
 
-make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
-make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
+make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
+make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
 #make programs || exit 1
 #make DESTDIR=$PKGTMP install || exit 1
Index: npl/internetserver/libreswan/libreswan.build
===================================================================
--- npl/internetserver/libreswan/libreswan.build	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan/libreswan.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-6529
+6532
Index: npl/internetserver/libreswan/libreswan.md5
===================================================================
--- npl/internetserver/libreswan/libreswan.md5	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan/libreswan.md5	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,5 +1,6 @@
 f2abcdcdccb2ec42f226a6dbb0528cad  ./libreswan-3.19.tar.gz
-f78b6e04694cf6f8944a1e159a48dd62  ./libreswan.pkg
-4024c272503481717994b9d33765d9e3  ./libreswan.SlackBuild
-69f197d47331938aa00ff805429ab9ec  ./libreswan.SlackBuild.log.gz
+cdd455cc3a97cd975ca9c92a55970641  ./libreswan-3.21.tar.gz
+faefabcbb43cfed9eb1ec10afe48349f  ./libreswan.pkg
+61949529dcf9867f1e72f4bc20382f24  ./libreswan.SlackBuild
+a50e41be47f9492ada4a8074e77822ce  ./libreswan.SlackBuild.log.gz
 fe6e06b11db12940987cc2010b48a71e  ./libreswan.tar.gz
Index: npl/internetserver/libreswan/libreswan.version
===================================================================
--- npl/internetserver/libreswan/libreswan.version	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan/libreswan.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-3.19
+3.21
Index: npl/internetserver/libreswan_conf/libreswan_conf.build
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-6551
+6552
Index: npl/internetserver/libreswan_conf/libreswan_conf.md5
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,6 +1,6 @@
-c5defc086bf6a5e4ed2ed3fbc0bef6b8  ./libreswan_conf.pkg
+544cf91ec7a3987868055d7eeb063aed  ./libreswan_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./libreswan_conf.SlackBuild
-54ed40f65156865bd1297c747d60fc9f  ./libreswan_conf.SlackBuild.log.gz
-81fe5cddee2633f9371fa91868feb6c7  ./root/etc/ipsec.conf
+7dc0067eced4d98f26cb9b532dc61691  ./libreswan_conf.SlackBuild.log.gz
+811bbe5f8db6bf1ffff4ed5b66fc05f2  ./root/etc/ipsec.conf
 53d9d2008956917a02c0c670100165f6  ./root/etc/ipsec.secrets
 f0188fc8f667dc97590f885fd1adfc7d  ./root/etc/pam.d/pluto
Index: npl/internetserver/libreswan_conf/root/etc/ipsec.conf
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -6,10 +6,8 @@
 # basic configuration
 config setup
-        nat_traversal=yes
         #plutoopts="--disable_port_floating"
         virtual_private=%v4:10.0.0.0/8,%v4:192.168.0.0/16,%v4:172.16.0.0/12
-	oe=off
         # which IPsec stack to use. netkey,klips,mast,auto or none
-	protostack=netkey
+        protostack=netkey
 
 conn %default
Index: npl/internetserver/poptop_pptpd/readme.txt
===================================================================
--- npl/internetserver/poptop_pptpd/readme.txt	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ 	(revision )
@@ -1,4 +1,0 @@
-#for DatuX internal only
-#de zooi komt van http://poptop.sourceforge.net/
-
-#howto is oa te vinden op http://poptop.sourceforge.net/dox/replacing-windows-pptp-with-linux-howto.phtml
Index: npl/mailserver/netqmail/netqmail.build
===================================================================
--- npl/mailserver/netqmail/netqmail.build	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/mailserver/netqmail/netqmail.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-6345
+6347
Index: npl/mailserver/netqmail/netqmail.md5
===================================================================
--- npl/mailserver/netqmail/netqmail.md5	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/mailserver/netqmail/netqmail.md5	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,7 +1,7 @@
 604085a48a5bbb909a67a9a0cedbb173  ./helodnscheck2.c
 4c03848af9d37e281f3b82cc59230d9b  ./netqmail-1.05.tar.gz
-4fdd0da2cd330fe40167da1bedbcf888  ./netqmail.pkg
+c0f9e13fda7f2824929d9acf5da295a2  ./netqmail.pkg
 2fbb3489040f1d869f6a653c00f9f72d  ./netqmail.SlackBuild
-4a6f732e1fa749228065fea1e3fde06b  ./netqmail.SlackBuild.log.gz
+07e0b95565051cf920261f1d4d45417b  ./netqmail.SlackBuild.log.gz
 9140ad2b03017145cd7963c84bb24f16  ./qmail-103.patch
 49c6b7898cc85df03dfabb190c7ffc4a  ./qmailctl
@@ -11,3 +11,3 @@
 13356ef41ba7a8508fa570d569b117cf  ./qmail-spp-spf-20091020.c
 bcafe3f1412a9eef6efe09a97234c04c  ./qmail-tap.diff
-c792b7df655910b6c918d59acc672e0c  ./syn3-dagent
+a23a39d1e0321a8d4fc6eeea60df829b  ./syn3-dagent
Index: npl/mailserver/netqmail/syn3-dagent
===================================================================
--- npl/mailserver/netqmail/syn3-dagent	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/mailserver/netqmail/syn3-dagent	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -15,7 +15,15 @@
 }
 
-#check if user exists or fail permanent
-#(id will generate a nice error message)
-id "$USER" >/dev/null || end 100
+# some kind of ldap problem, try again later
+id "Administrator" >/dev/null || end 111
+
+#does the user exists?
+if ! id "$USER" >/dev/null; then
+	#we're sure theres no ldap problem?
+	id "Administrator" >/dev/null || end 111
+	#probably a bounce spammer, drop mail silently
+	echo "User does not exist, dropping mail."
+	end 0
+fi
 
 #store mail temporary
@@ -61,3 +69,3 @@
 #no backend mailstorage up, so fail temporary
 echo "All mailbackends are down, retry again later..."
-end 1
+end 111
Index: npl/overig/file/file.SlackBuild
===================================================================
--- npl/overig/file/file.SlackBuild	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file.SlackBuild	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -2,10 +2,11 @@
 #
 # Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/a/file/
-# Created at Fri Jul 24 16:34:01 CEST 2015
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/a/file/
+# Created at Thu Jul  6 14:29:22 CEST 2017
 
 
 ########### source original slackbuild (hopefully we dont need to modify it)
 CWD=`pwd`
+set -e
 source ./file.SlackBuild.orig
 
Index: npl/overig/file/file.SlackBuild.orig
===================================================================
--- npl/overig/file/file.SlackBuild.orig	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file.SlackBuild.orig	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-# Copyright 2005-2008, 2009, 2010, 2013  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013, 2015  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -29,5 +29,5 @@
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
-    i?86) export ARCH=i486 ;;
+    i?86) export ARCH=i586 ;;
     arm*) export ARCH=arm ;;
     # Unless $ARCH is already set, use uname -m for all other archs:
@@ -36,6 +36,6 @@
 fi
 
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "i686" ]; then
@@ -98,5 +98,5 @@
   --enable-fsect-man5 \
   --disable-static \
-  --build=$ARCH-slackware-linux
+  --build=$ARCH-slackware-linux || exit 1
 
 # The generated $TMP/file-$VERSION/libtool is buggy.  I don't know if this is supposed
@@ -106,4 +106,11 @@
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
+
+# Ignore for now - still labeled as experimental
+# Actually, let's ignore it until something needs it  :)  <volkerdi>
+#cd python/
+#  python setup.py build
+#  python setup.py install --root=$PKG
+#cd ..
 
 # Seems --disable-static has been ignored lately:
Index: npl/overig/file/file.arch
===================================================================
--- npl/overig/file/file.arch	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file.arch	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/overig/file/file.build
===================================================================
--- npl/overig/file/file.build	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-6155
+6156
Index: npl/overig/file/file.md5
===================================================================
--- npl/overig/file/file.md5	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file.md5	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,13 +1,13 @@
 80362548cdf529ea3ec83eab148c7572  ./doinst.sh.gz
-4b7cf5041035cff87330c5b00b170def  ./file-5.22.tar.xz
+4676f6f3b2d25e05e0b0147a03d25970  ./file-5.31.tar.xz
 e44387a21f9847f0ff3b1c74deff8bdf  ./file.crdaregbin.magic.gz
-70abcf4ba557547bd57768c3b2918abf  ./file_dev.pkg
+e1e6455b2de8c11276bdde91c629bebf  ./file_dev.pkg
 29ee5a5acfcc82346b17cc35bb3acbec  ./file.etc.file.diff.gz
-95153d8af64319c94e1bd2d21c8984ca  ./file.pkg
+03b8137248300a058ad80e0e3fb2249f  ./file.pkg
 652847e073fbca6df77c6696ac4c69e1  ./file.quiet.diff.gz
 f020cd0ec342bea06b34116ddcd99232  ./file.short.diff.gz
-ddbdc96ed7775407a358ca7331a5cab7  ./file.SlackBuild
-45ce94e59494587fc2ccfbd993e92af8  ./file.SlackBuild.log.gz
-93265d389f296eaf606f2a6af856a726  ./file.SlackBuild.orig
+ef4a98a45b0505fcdad8d14203c66569  ./file.SlackBuild
+3a23f80e6586eefb7eb1af9525cf2c4e  ./file.SlackBuild.log.gz
+124612aafee1040ce8ac02244bbc654a  ./file.SlackBuild.orig
 a6e8dc289abcf6c796e2d4e8dff41b08  ./file.xz.magic.gz
 de45e4cbf64268d44dafc52db3b7a696  ./file.zisofs.magic.gz
Index: npl/overig/file/file.version
===================================================================
--- npl/overig/file/file.version	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-5.22
+5.31
Index: npl/overig/file/file_dev.arch
===================================================================
--- npl/overig/file/file_dev.arch	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file_dev.arch	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/overig/file/file_dev.build
===================================================================
--- npl/overig/file/file_dev.build	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file_dev.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-6155
+6156
Index: npl/overig/file/file_dev.version
===================================================================
--- npl/overig/file/file_dev.version	(revision 9ec1a2264ee4073730764898244d3e8b0cd7664c)
+++ npl/overig/file/file_dev.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -1,1 +1,1 @@
-5.22
+5.31
Index: npl/overig/ldns/ldns.SlackBuild
===================================================================
--- npl/overig/ldns/ldns.SlackBuild	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns.SlackBuild	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,71 @@
+#!/bin/bash
+#DEP:openssl
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/ldns/ldns.arch
===================================================================
--- npl/overig/ldns/ldns.arch	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns.arch	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ldns/ldns.build
===================================================================
--- npl/overig/ldns/ldns.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+2
Index: npl/overig/ldns/ldns.depver
===================================================================
--- npl/overig/ldns/ldns.depver	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns.depver	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+openssl	5
Index: npl/overig/ldns/ldns.md5
===================================================================
--- npl/overig/ldns/ldns.md5	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns.md5	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,5 @@
+74b75c9ba69fb3af2a0c26244ecfd9f6  ./ldns-1.7.0.tar.gz
+f67de5df093f8b7aeea80ef3fdbc7f4e  ./ldns_dev.pkg
+a9a0277f82e0eea7fe8ec54bcdb2dd71  ./ldns.pkg
+fb17446ef912953c579afc9d74572d18  ./ldns.SlackBuild
+9a905821697bf37d040033b3c2a6dd1b  ./ldns.SlackBuild.log.gz
Index: npl/overig/ldns/ldns.version
===================================================================
--- npl/overig/ldns/ldns.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+1.7.0
Index: npl/overig/ldns/ldns_dev.arch
===================================================================
--- npl/overig/ldns/ldns_dev.arch	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns_dev.arch	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ldns/ldns_dev.build
===================================================================
--- npl/overig/ldns/ldns_dev.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns_dev.build	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+2
Index: npl/overig/ldns/ldns_dev.version
===================================================================
--- npl/overig/ldns/ldns_dev.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
+++ npl/overig/ldns/ldns_dev.version	(revision 2758a4b040619cd90f749dd58e58bde1ae905155)
@@ -0,0 +1,1 @@
+1.7.0