Index: npl/internetserver/openvpn_conf/openvpn_conf.build
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
+++ npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 3187b26af2b4b347eccad2613ce637bcb59900e4)
@@ -1,1 +1,1 @@
-6559
+6560
Index: npl/internetserver/openvpn_conf/openvpn_conf.md5
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
+++ npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 3187b26af2b4b347eccad2613ce637bcb59900e4)
@@ -1,9 +1,11 @@
-96d33d19dd2dd7c62653830905f56392  ./openvpn_conf.pkg
+c944c634d7d393d656a8bc72981d857d  ./openvpn_conf.pkg
 729b418d4c2197708760319d4097906e  ./openvpn_conf.SlackBuild
-989f13e22e0775af613932f97f671994  ./openvpn_conf.SlackBuild.log.gz
+9642ef78f7a58f409156e4e23271ae51  ./openvpn_conf.SlackBuild.log.gz
 02590f2d27b9254da5877e03719a9228  ./root/etc/firewall/services.openvpn
 5d08314120a94191e539c792b1c410a2  ./root/etc/openvpn/easyrsa
 d6cb374d0d7d5b7b87d74f9976362a70  ./root/etc/openvpn/openssl-1.0.cnf
-5a93266250a72d36d413e11784cbfb20  ./root/etc/openvpn/openvpn.conf
+88937c4fed1e288bcedfc2975792c331  ./root/etc/openvpn/openvpn.conf
+587c47cd3871a89b73f07716e722e953  ./root/etc/openvpn/openvpn_custom.conf.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/etc/openvpn/openvpn_syn3.conf.new
 f3bdb2484e8eee18be1cb25093d1d19a  ./root/etc/openvpn/pam_ldap.conf
 a7956355ff8cb69cc5ee0ed476380149  ./root/etc/openvpn/syn3-client
@@ -16,3 +18,3 @@
 d0d7a06379af67505bf5dae59d3e7afb  ./root/etc/openvpn/x509-types/server
 c8fadda104656594f3ceadbb13d9d178  ./root/etc/pam.d/openvpn
-152c8cb4320ada777fdb72d8c75f6eeb  ./root/service/openvpn/run
+a6e8a68a743fe6448c01ccba1db33569  ./root/service/openvpn/run
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision 3187b26af2b4b347eccad2613ce637bcb59900e4)
@@ -1,23 +1,8 @@
-#################################################
-# Sample OpenVPN 2.0 config file for            #
-# multi-client server.                          #
-#                                               #
-# This file is for the server side              #
-# of a many-clients  one-server                 #
-# OpenVPN configuration.                        #
-#                                               #
-# OpenVPN also supports                         #
-# single-machine  single-machine                #
-# configurations (See the Examples page         #
-# on the web site for more info).               #
-#                                               #
-# This config should work on Windows            #
-# or Linux/BSD systems.  Remember on            #
-# Windows to quote pathnames and use            #
-# double backslashes, e.g.:                     #
-# "C:\\Program Files\\OpenVPN\\config\\foo.key" #
-#                                               #
-# Comments are preceded with '#' or ';'         #
-#################################################
+#########################################
+### SYN-3 openvpn configuration
+### This file will be overwritten by updates.
+### Please make changes in /etc/openvpn/openvpn_custom.conf
+##########################################
+
 
 # Which local IP address should OpenVPN
@@ -86,5 +71,5 @@
 #   openssl dhparam -out dh1024.pem 1024
 # Substitute 2048 for 1024 if you are using
-# 2048 bit keys. 
+# 2048 bit keys.
 dh /etc/openvpn/pki/dh.pem
 
@@ -183,5 +168,5 @@
 # a more specific route than the default route
 # of 0.0.0.0/0.0.0.0.
-push "redirect-gateway"
+;push "redirect-gateway"
 
 # Certain Windows-specific network settings
@@ -189,5 +174,5 @@
 # or WINS server addresses.  CAVEAT:
 # http://openvpn.net/faq.html#dhcpcaveats
-push "dhcp-option DNS 10.8.0.1"
+;push "dhcp-option DNS 10.8.0.1"
 ;push "dhcp-option WINS 10.8.0.1"
 
@@ -300,3 +285,2 @@
 # pam_ldap authentication (need to be member of group with uid 521)
 plugin /usr/lib/openvpn/plugins/openvpn-plugin-auth-pam.so "openvpn login USERNAME password PASSWORD"
-
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision 3187b26af2b4b347eccad2613ce637bcb59900e4)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision 3187b26af2b4b347eccad2613ce637bcb59900e4)
@@ -0,0 +1,1 @@
+# Put your custom openvpn setting here. This will not be overwritten by updates.
Index: npl/internetserver/openvpn_conf/root/service/openvpn/run
===================================================================
--- npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
+++ npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 3187b26af2b4b347eccad2613ce637bcb59900e4)
@@ -52,4 +52,3 @@
 modprobe tun
 
-exec openvpn --config openvpn.conf
-
+exec openvpn --config openvpn.conf --config openvpn_syn3.conf  --config openvpn_custom.conf