Index: npl/overig/mozilla_nss/mozilla-nss.SlackBuild.orig
===================================================================
--- npl/overig/mozilla_nss/mozilla-nss.SlackBuild.orig	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla-nss.SlackBuild.orig	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,5 +1,5 @@
 #!/bin/bash
 # Copyright 2005, 2006, 2008, 2009, 2010, 2012  Eric Hameleers, Eindhoven, NL
-# Copyright 2013, 2014, 2015, 2017, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013, 2014, 2015, 2017, 2018, 2019  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -27,6 +27,6 @@
 PKGNAM=mozilla-nss
 SRCNAM=nss
-VERSION=${VERSION:-3.46}
-NSPR=${NSPR:-4.22}
+VERSION=${VERSION:-3.50}
+NSPR=${NSPR:-4.25}
 BUILD=${BUILD:-1}
 
@@ -90,7 +90,7 @@
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
+  -exec chmod 755 {} \+ -o \
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
+  -exec chmod 644 {} \+
 
 echo Building ...
@@ -134,10 +134,10 @@
 
 # Install nss-config:
-sed -e "s,@prefix@,/usr,g" \
-    -e "s,@MOD_MAJOR_VERSION@,$(printf $VERSION | cut -d. -f1),g" \
-    -e "s,@MOD_MINOR_VERSION@,$(printf $VERSION | cut -d. -f2),g" \
-    -e "s,@MOD_PATCH_VERSION@,$(printf $VERSION | cut -d. -f3),g" \
-    $CWD/nss-config.in > $PKG/usr/bin/nss-config
-chmod 755 $PKG/usr/bin/nss-config
+#sed -e "s,@prefix@,/usr,g" \
+#    -e "s,@MOD_MAJOR_VERSION@,$(printf $VERSION | cut -d. -f1),g" \
+#    -e "s,@MOD_MINOR_VERSION@,$(printf $VERSION | cut -d. -f2),g" \
+#    -e "s,@MOD_PATCH_VERSION@,$(printf $VERSION | cut -d. -f3),g" \
+#    $CWD/nss-config.in > $PKG/usr/bin/nss-config
+#chmod 755 $PKG/usr/bin/nss-config
 
 # Provide pkg-config files:
@@ -175,10 +175,10 @@
 
 # Add documentation:
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a \
-  $CWD/MPL-1.1.txt $CWD/gpl-2.0.txt $CWD/lgpl-2.1.txt \
-  $CWD/faq.html \
-  $PKG/usr/doc/$PKGNAM-$VERSION
-chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
+#mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+#cp -a \
+#  $CWD/MPL-1.1.txt $CWD/gpl-2.0.txt $CWD/lgpl-2.1.txt \
+#  $CWD/faq.html \
+#  $PKG/usr/doc/$PKGNAM-$VERSION
+#chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
 
 # Strip binaries:
Index: npl/overig/mozilla_nss/mozilla_nss.SlackBuild
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.SlackBuild	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss.SlackBuild	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -10,5 +10,5 @@
 CWD=`pwd`
 set -e
-#unset MAKEFLAGS
+unset MAKEFLAGS
 source ./mozilla-nss.SlackBuild.orig
 
Index: npl/overig/mozilla_nss/mozilla_nss.arch
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.arch	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss.arch	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,1 +1,1 @@
-i686
+i586
Index: npl/overig/mozilla_nss/mozilla_nss.build
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.build	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss.build	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,1 +1,1 @@
-6478
+6479
Index: npl/overig/mozilla_nss/mozilla_nss.md5
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.md5	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss.md5	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,13 +1,8 @@
-5c9745e29270bfd5d669b504d090925e  ./faq.html
-751419260aa954499f7abaabaa882bbe  ./gpl-2.0.txt
-243b725d71bb5df4a1e5920b344b86ad  ./lgpl-2.1.txt
-474e5707d10914321f2a8879668dc0ab  ./mozilla_nss_dev.pkg
-24b33fee92f8d023af33408178fecb61  ./mozilla_nss.pkg
-3b1456678c56557519f04e2be7a8c893  ./mozilla_nss.SlackBuild
-fe3b6f7a2c1c9a492136e022d7f592fb  ./mozilla_nss.SlackBuild.log.gz
-307a540418961fd4d093cf2e5fd9e359  ./mozilla-nss.SlackBuild.orig
-bfe1f75d606912a4111c90743d6c7325  ./MPL-1.1.txt
-cb7595bc9f2516fe60941b97a31f5194  ./nspr-4.22.tar.lz
-f1ce881ca83d801fcea65dab1e5bd9f9  ./nss-3.46.tar.lz
-46bee81908f1e5b26d6a7a2e14c64d9f  ./nss-config.in
+b1f6f1f98c68c7811c6165197a3bfef9  ./mozilla_nss_dev.pkg
+f03f0e3c847d2ae8e8d72952d9df5292  ./mozilla_nss.pkg
+47fd4ccc1f50ae31382f0375d78d7d0e  ./mozilla_nss.SlackBuild
+b33115354807b30ca425b823484f40bf  ./mozilla_nss.SlackBuild.log.gz
+fa9f5f5a9dd577f374901f217caa8a3b  ./mozilla-nss.SlackBuild.orig
+2babc5c348208e114eb3201386e0a507  ./nspr-4.25.tar.lz
+459ca2822ca4c164ebf9d26b5815aba0  ./nss-3.50.tar.lz
 d6181c85e24c9c0caff648ec5bf26707  ./slack-desc
Index: npl/overig/mozilla_nss/mozilla_nss.version
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss.version	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss.version	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,1 +1,1 @@
-3.46
+3.50
Index: npl/overig/mozilla_nss/mozilla_nss_dev.arch
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss_dev.arch	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
+++ npl/overig/mozilla_nss/mozilla_nss_dev.arch	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/mozilla_nss/mozilla_nss_dev.build
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss_dev.build	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss_dev.build	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/overig/mozilla_nss/mozilla_nss_dev.version
===================================================================
--- npl/overig/mozilla_nss/mozilla_nss_dev.version	(revision 5747ef063953ac6cca056051d6891ee88d545a1d)
+++ npl/overig/mozilla_nss/mozilla_nss_dev.version	(revision 4455cc2a3382105d3be470a0036b7f2ab6da448f)
@@ -1,1 +1,1 @@
-3.46
+3.50