Index: npl/internetserver/ipset/ipset.SlackBuild
===================================================================
--- npl/internetserver/ipset/ipset.SlackBuild	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset.SlackBuild	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,81 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:linux_src
+#NEED:linux
+#DEP:libmnl
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/internetserver/ipset/ipset.arch
===================================================================
--- npl/internetserver/ipset/ipset.arch	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset.arch	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/ipset/ipset.build
===================================================================
--- npl/internetserver/ipset/ipset.build	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset.build	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/ipset/ipset.depver
===================================================================
--- npl/internetserver/ipset/ipset.depver	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset.depver	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,2 @@
+linux_src	409149001
+libmnl	0
Index: npl/internetserver/ipset/ipset.md5
===================================================================
--- npl/internetserver/ipset/ipset.md5	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset.md5	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,5 @@
+72b477d1ce076d681b0799f88280f2f3  ./ipset-7.1.tar.bz2
+17e4bbdbf7139ac88473796d1ce8e2df  ./ipset_dev.pkg
+5273a621a1ef8ceb0f9ea66fb133b8b3  ./ipset.pkg
+034f84b3e55ae4515f9f2cf9606575f9  ./ipset.SlackBuild
+332b0c45b13e14d7b2ae831f1f46f852  ./ipset.SlackBuild.log.gz
Index: npl/internetserver/ipset/ipset.version
===================================================================
--- npl/internetserver/ipset/ipset.version	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset.version	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,1 @@
+7.1
Index: npl/internetserver/ipset/ipset_dev.arch
===================================================================
--- npl/internetserver/ipset/ipset_dev.arch	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset_dev.arch	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/ipset/ipset_dev.build
===================================================================
--- npl/internetserver/ipset/ipset_dev.build	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset_dev.build	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/ipset/ipset_dev.version
===================================================================
--- npl/internetserver/ipset/ipset_dev.version	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
+++ npl/internetserver/ipset/ipset_dev.version	(revision 75064bd64cb16e546529fb0021740952e3fa7079)
@@ -0,0 +1,1 @@
+7.1