Index: npl/system/ca_certificates/ca-certificates.SlackBuild.orig
===================================================================
--- npl/system/ca_certificates/ca-certificates.SlackBuild.orig	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca-certificates.SlackBuild.orig	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,8 +1,8 @@
-#!/bin/bash
+#!/bin/sh
 
 # Slackware build script for ca-certificates
 
 # Copyright 2009,2011  Robby Workman  Northport, AL, USA
-# Copyright 2012, 2013, 2015, 2016, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2015, 2016  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -24,21 +24,12 @@
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=ca-certificates
+VERSION=${VERSION:-20161130}
+ARCH=noarch
+BUILD=${BUILD:-1_slack14.2}
 
-PKGNAM=ca-certificates
-VERSION=${VERSION:-20180409}
-ARCH=noarch
-BUILD=${BUILD:-1}
+TARVERSION=${VERSION}+nmu1
 
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
-if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
-  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
-  exit 0
-fi
-
-TARVERSION=${VERSION}
-
+CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
@@ -56,5 +47,5 @@
 
 # Again, both $PKGNAM and $PKGNAM-$VERSION are needed here:
-cd $PKGNAM-$VERSION 2> /dev/null || cd $PKGNAM || exit 1
+cd $PKGNAM-$VERSION || cd $PKGNAM || exit 1
 
 chown -R root:root .
@@ -86,6 +77,6 @@
 
 mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-#mv debian/NEWS debian/NEWS.Debian
-cp -a  debian/README.Debian $PKG/usr/doc/$PKGNAM-$VERSION
+mv debian/NEWS debian/NEWS.Debian
+cp -a debian/NEWS.Debian debian/README.Debian $PKG/usr/doc/$PKGNAM-$VERSION
 
 mkdir -p $PKG/var/log/setup
Index: npl/system/ca_certificates/ca_certificates.SlackBuild
===================================================================
--- npl/system/ca_certificates/ca_certificates.SlackBuild	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca_certificates.SlackBuild	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -2,6 +2,6 @@
 #
 # Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/ca-certificates/
-# Created at Thu Sep  6 14:55:01 CEST 2018
+# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/patches/source/ca-certificates/
+# Created at Thu Sep 20 18:32:49 CEST 2018
 
 
@@ -11,4 +11,6 @@
 source ./ca-certificates.SlackBuild.orig
 
+mkdir -p /tmp/package-ca-certificates/etc/cron.weekly
+ln -s /usr/sbin/update-ca-certificates /tmp/package-ca-certificates/etc/cron.weekly
 
 ############ make syn3 packages
Index: npl/system/ca_certificates/ca_certificates.build
===================================================================
--- npl/system/ca_certificates/ca_certificates.build	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca_certificates.build	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-1
+5
Index: npl/system/ca_certificates/ca_certificates.md5
===================================================================
--- npl/system/ca_certificates/ca_certificates.md5	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca_certificates.md5	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,11 +1,11 @@
-8425f4b1219e4e528db2de764e4c6586  ./ca-certificates_20180409.tar.xz
-700d337a91898a6dbd7d499113934a32  ./ca_certificates_dev.pkg
-88ad5308625a81cc8104105ee376a859  ./ca_certificates.pkg
-2aa1e59a6c831918db6ed5f6071d9f0c  ./ca_certificates.SlackBuild
-a4481d30d47cb7ca43470247dcf09635  ./ca_certificates.SlackBuild.log.gz
-ebed590c7d8cd11d2ef8f4056b7d7762  ./ca-certificates.SlackBuild.orig
+a09e8b63126188fd0ed77f6fbaf5d35f  ./ca-certificates_20161130+nmu1.tar.xz
+aa6ceeeb686fcc8de342b237f6fc73fb  ./ca_certificates_dev.pkg
+70bcadf3e7086d239f6ac9439e11d620  ./ca_certificates.pkg
+6cb73b8350729401c29f1b2e15cff2b8  ./ca_certificates.SlackBuild
+00c5406f93fa666fe1b5f625fe487c9a  ./ca_certificates.SlackBuild.log.gz
+c23d716a27384ed57c9085d400d4cbf9  ./ca-certificates.SlackBuild.orig
 d14bfbd360d69256b0f5a916301fdb5a  ./doinst.sh.gz
 260654f21ca5431270192d94f421cfc2  ./patches/fixup_DESTDIR.diff.gz
 cc23ac9b45fa4649ade60f64fe02eb7d  ./patches/fixup_update-ca-certificates.diff.gz
 5dbe990e59d512ceb425ea6475ef0ae0  ./setup.11.cacerts
-3e8cc1df82ad139814446952d69b9966  ./slack-desc
+026b3a65d346d6d845f3497819b42fdb  ./slack-desc
Index: npl/system/ca_certificates/ca_certificates.version
===================================================================
--- npl/system/ca_certificates/ca_certificates.version	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca_certificates.version	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-20180409
+20161130
Index: npl/system/ca_certificates/ca_certificates_dev.build
===================================================================
--- npl/system/ca_certificates/ca_certificates_dev.build	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca_certificates_dev.build	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-1
+5
Index: npl/system/ca_certificates/ca_certificates_dev.version
===================================================================
--- npl/system/ca_certificates/ca_certificates_dev.version	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/ca_certificates_dev.version	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-20180409
+20161130
Index: npl/system/ca_certificates/slack-desc
===================================================================
--- npl/system/ca_certificates/slack-desc	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/ca_certificates/slack-desc	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description.  Line
 # up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
 # customary to leave one space after the ':'.
 
Index: npl/system/openssl/openssl-1.0.2p.tar.gz.asc
===================================================================
--- npl/system/openssl/openssl-1.0.2p.tar.gz.asc	(revision 4933918ca960805e0bfe04d934c19676babc6494)
+++ npl/system/openssl/openssl-1.0.2p.tar.gz.asc	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -0,0 +1,11 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQEzBAABCgAdFiEEhlersmDwVrHlGQg52cTSbQ5gRJEFAlty0pMACgkQ2cTSbQ5g
+RJHawAf9Gx3D6rRmV/TzNwRzTFdxkgfSK5Q+z03tbJAgVcQgMwDxqovhcC8XJ5wA
+0qtI+Ngu73bu0VyQ69zFYLfwWDk7AJGPWTJJOE7t6m+ZLMBCoRMrn0ZndFv50Gda
+qvsLGvuXSsYDsMe7wIVToTWtNZs6yYsPDk5S6tDimHTLf113zFgpnJmcxIMZiuHP
+M7IZ4Ib9fzvuQPcmFVHxN51EG1r9HkbtxqjwqJmArbbiGCzQV89+tVDSsuIKqzvz
+G+6imlytlpYgt14//ml5Ar7nT10b1+ZS29Dz73V45FKD3/9fl6dbehDQDYTsXTyp
+wNUAfNtEjqzGwbGT6lR8Z6d3l0PewQ==
+=fxwx
+-----END PGP SIGNATURE-----
Index: npl/system/openssl/openssl-1.1.0i.tar.gz.asc
===================================================================
--- npl/system/openssl/openssl-1.1.0i.tar.gz.asc	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ 	(revision )
@@ -1,11 +1,0 @@
------BEGIN PGP SIGNATURE-----
-
-iQEzBAABCgAdFiEEhlersmDwVrHlGQg52cTSbQ5gRJEFAltyztkACgkQ2cTSbQ5g
-RJHKYwf+IDQqU357IUYc6Y6nHtV1S+0Nme2J/FAjGIneHdhDmyNEx7s+yemKU4ri
-QbH73/4Mg7pId99TGbQx8P9RAGN7yLbHPwu5Prmyb5OiDGRJ6bGism9CrkIoRXK1
-Wq59IvcHK2nhaim8Vjksgvf/uhbeGt1V7b5Q5KF6cqDo+EKJkLpYL7vGlod/bXN/
-CzbzGOkSQiWt/nMq6FDTHOzKGyswil877hxUbjyhv8lphphRtvYsWBn376YjYjfG
-9WsJ1z8mZg5I83D+8uC51TJrAdX6hMQjk0JhkxLXMghZiKnNy8+8XLXna0OliuLK
-W9nqIlbNZiZvhIPqGM7O9cPZeWg96g==
-=ueQK
------END PGP SIGNATURE-----
Index: npl/system/openssl/openssl.SlackBuild
===================================================================
--- npl/system/openssl/openssl.SlackBuild	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl.SlackBuild	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -2,9 +2,10 @@
 #
 # Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/openssl/
-# Created at Thu Sep  6 15:01:41 CEST 2018
+# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/patches/source/openssl/
+# Created at Thu Sep 20 18:27:22 CEST 2018
 
 #DEP:zlib
 removepkg openssl
+
 
 ########### source original slackbuild (hopefully we dont need to modify it)
Index: npl/system/openssl/openssl.SlackBuild.orig
===================================================================
--- npl/system/openssl/openssl.SlackBuild.orig	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl.SlackBuild.orig	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,7 +1,7 @@
-#!/bin/bash
+#!/bin/sh
 
 # Copyright 2000 BSDi, Inc. Concord, CA, USA
 # Copyright 2001, 2002 Slackware Linux, Inc.  Concord, CA, USA
-# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -23,11 +23,11 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+
 # Set initial variables:
-cd $(dirname $0) ; CWD=$(pwd)
+CWD=$(pwd)
 TMP=${TMP:-/tmp}
 
-PKGNAM=openssl
 VERSION=${VERSION:-$(echo openssl-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1_slack14.2}
 
 # Automatically determine the architecture we're building on:
@@ -46,13 +46,4 @@
 NAME2=openssl-solibs-$VERSION-$ARCH-$BUILD
 
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
-if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
-  echo "${NAME1}.txz"
-  echo "${NAME2}.txz"
-  exit 0
-fi
-
 # Parallel build doesn't link properly.
 #NUMJOBS=${NUMJOBS:--j6}
@@ -70,7 +61,6 @@
 find . -name "*.pod" -exec sed -i "s/^\=item \([0-9]\)\(\ \|$\)/\=item C<\1>/g" {} \;
 
-## For openssl-1.1.x, don't try to change the soname.
-## Use .so.1, not .so.1.0.0:
-#sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
+# Use .so.1, not .so.1.0.0:
+sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
 
 if [ "$ARCH" = "i586" ]; then
@@ -91,13 +81,12 @@
 # what they were compiled against, whether or not the ABI has changed.
 #
-# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.1.0h unless ABI
+# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.2e unless ABI
 # breakage forces it to change.  Yes, we're finally using this old trick.  :)
-sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1010008fL (1.1.0h) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" include/openssl/opensslv.h || exit 1
+sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000205fL (1.0.2e) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" crypto/opensslv.h || exit 1
 
 chown -R root:root .
 mkdir -p $PKG1/usr/doc/openssl-$VERSION
-cp -a ACKNOWLEDGEMENTS AUTHORS CHANGES* CONTRIBUTING FAQ INSTALL* \
-  LICENSE* NEWS NOTES* README* doc \
-  $PKG1/usr/doc/openssl-$VERSION
+cp -a CHANGES CHANGES.SSLeay FAQ INSTALL INSTALL.MacOS INSTALL.VMS INSTALL.W32 \
+  LICENSE NEWS README README.ENGINE doc $PKG1/usr/doc/openssl-$VERSION
 find $PKG1/usr/doc/openssl-$VERSION -type d -exec chmod 755 {} \;
 find $PKG1/usr/doc/openssl-$VERSION -type f -exec chmod 644 {} \;
@@ -115,4 +104,5 @@
 # MDC-2: 4,908,861  2007-03-13, not included.
 # IDEA:  5,214,703  2010-05-25, not included.
+# RC5:   5,724,428  2015-03-03, not included.
 #
 # Although all of the above are expired, it's still probably
@@ -123,18 +113,10 @@
  --prefix=/usr \
  --openssldir=/etc/ssl \
- zlib \
- enable-camellia \
- enable-seed \
- enable-rfc3779 \
- enable-cms \
- enable-md2 \
- enable-rc5 \
- enable-ssl3 \
- enable-ssl3-method \
+ no-mdc2 \
+ no-idea \
+ no-rc5 \
+ no-sse2 \
+ no-ssl2 \
  no-weak-ssl-ciphers \
- no-mdc2 \
- no-ec2m \
- no-idea \
- no-sse2 \
  shared
 
@@ -143,11 +125,5 @@
 make $NUMJOBS || make || exit 1
 
-make install DESTDIR=$PKG1 || exit 1
-
-# No thanks on the static libraries:
-rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/*.a
-
-# No thanks on manpages duplicated as html:
-rm -rf $PKG1/usr/share/doc
+make install INSTALL_PREFIX=$PKG1 || exit 1
 
 # Make the .so.? library symlinks:
@@ -162,6 +138,6 @@
     mv $file ../../lib${LIBDIRSUFFIX}
     ln -sf ../../lib${LIBDIRSUFFIX}/$file .
-  done
-  # cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
+  done 
+  cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
 )
 
@@ -171,9 +147,5 @@
 chmod 755 $PKG1/etc/cron.daily/certwatch.new
 
-# Make config file non-clobber:
 mv $PKG1/etc/ssl/openssl.cnf $PKG1/etc/ssl/openssl.cnf.new
-
-# Remove duplicate config file:
-rm -f $PKG1/etc/ssl/openssl.cnf.dist
 
 ( cd $PKG1
@@ -182,20 +154,8 @@
 )
 
-# Relocate the manpages:
-mv $PKG1/usr/share/man $PKG1/usr
-rmdir $PKG1/usr/share
-
-# Fix manpage name collisions, and relink anything that linked to the old name:
-( cd $PKG1/usr/man/man1
-  mv passwd.1 ssl_passwd.1
-  for file in *.1 ; do
-    if [ -L $file ]; then
-      if [ "$(readlink $file)" = "passwd.1" ]; then
-        rm -f $file
-        ln -sf ssl_passwd.1 $file
-      fi
-    fi
-  done )
-
+mv $PKG1/etc/ssl/man $PKG1/usr
+( cd $PKG1/usr/man/man1 ; mv passwd.1 ssl_passwd.1 )
+( cd $PKG1/usr/man/man3 ; mv rand.3 ssl_rand.3 )
+( cd $PKG1/usr/man/man3 ; mv err.3 ssl_err.3 )
 # Compress and symlink the man pages:
 if [ -d $PKG1/usr/man ]; then
@@ -213,16 +173,16 @@
 fi
 
-# If there's an openssl1 directory, then build openssl-1.0 shared libraries for
+# If there's an openssl0 directory, then build openssl-0 shared libraries for
 # compatibility with programs linked to those:
-if [ -d $CWD/openssl1 ]; then
-  ( cd $CWD/openssl1
-    ./openssl1.build || exit 1
+if [ -d $CWD/openssl0 ]; then
+  ( cd $CWD/openssl0
+    ./openssl0.build || exit 1
   ) || exit 1
   # Don't put these in the openssl package...  openssl-solibs is enough.
   #mkdir -p $PKG1/lib${LIBDIRSUFFIX}
-  #cp -a $TMP/package-openssl1/usr/lib/lib*.so.?.?.? $PKG1/lib${LIBDIRSUFFIX}
+  #cp -a $TMP/package-openssl0/usr/lib/lib*.so.?.?.? $PKG1/lib${LIBDIRSUFFIX}
   #( cd $PKG1/lib${LIBDIRSUFFIX} ; ldconfig -l lib*.so.?.?.? )
   mkdir -p $PKG2/lib${LIBDIRSUFFIX}
-  cp -a $TMP/package-openssl1/usr/lib${LIBDIRSUFFIX}/lib*.so.?.?.? $PKG2/lib${LIBDIRSUFFIX}
+  cp -a $TMP/package-openssl0/usr/lib/lib*.so.?.?.? $PKG2/lib${LIBDIRSUFFIX}
   ( cd $PKG2/lib${LIBDIRSUFFIX} ; ldconfig -l lib*.so.?.?.? )
 fi
@@ -244,6 +204,6 @@
 mkdir -p $PKG2/usr/doc/openssl-$VERSION
 ( cd $TMP/openssl-$VERSION
-  cp -a ACKNOWLEDGEMENTS AUTHORS CHANGES* CONTRIBUTING FAQ INSTALL* \
-  LICENSE* NEWS NOTES* README* $PKG2/usr/doc/openssl-$VERSION
+  cp -a CHANGES CHANGES.SSLeay FAQ INSTALL INSTALL.MacOS INSTALL.VMS INSTALL.W32 \
+  LICENSE NEWS README README.ENGINE $PKG2/usr/doc/openssl-$VERSION
   # If there's a CHANGES file, installing at least part of the recent history
   # is useful, but don't let it get totally out of control:
Index: npl/system/openssl/openssl.build
===================================================================
--- npl/system/openssl/openssl.build	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl.build	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-6529
+6530
Index: npl/system/openssl/openssl.md5
===================================================================
--- npl/system/openssl/openssl.md5	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl.md5	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -2,13 +2,13 @@
 1e6908ae51dcc3d1d9d5be0bad6bf803  ./doinst.sh-openssl.gz
 24389791b9e637dff90b350d9ba0e028  ./doinst.sh-openssl-solibs.gz
-9495126aafd2659d357ea66a969c3fe1  ./openssl-1.1.0i.tar.gz
-4630a7baee9b0a6008eb66024ea02c32  ./openssl-1.1.0i.tar.gz.asc
-3a12a7e4395e90b9223ec64458a580d7  ./openssl_dev.pkg
-336f88434c64cef3ca12812ce5faa00a  ./openssl.pkg
-fbbb66f23dd14f90498fe375ce757f40  ./openssl.SlackBuild
-6aa1ba99635448be522873ebf56ca0fc  ./openssl.SlackBuild.log.gz
-480eab55b38d8e86394c93cfcaf1b232  ./openssl.SlackBuild.orig
-311f1b00c0055cd3b64b84862a86b31f  ./ossllibs_dev.pkg
-d561922dc79b7bd4337b3897375c92b5  ./ossllibs.pkg
-143eb5f1d4c14eae58afcc34525f7aa8  ./slack-desc.openssl
-e8cb492e0a6560e2948f3126b78313ed  ./slack-desc.openssl-solibs
+ac5eb30bf5798aa14b1ae6d0e7da58df  ./openssl-1.0.2p.tar.gz
+e073c84204737d8dbe7e215ec4cf5675  ./openssl-1.0.2p.tar.gz.asc
+91b28d2c68483e6bd967ec195fa97a4a  ./openssl_dev.pkg
+830660e4788dcd1a7bff6cd2a81ab36a  ./openssl.pkg
+247fed1872fdeaa5c74cae2cd533e1f7  ./openssl.SlackBuild
+5ff9fafff0e0c1eaa90c49f07281790e  ./openssl.SlackBuild.log.gz
+2f4423db46cb18a800b92d53dd178e94  ./openssl.SlackBuild.orig
+a217d2caee201e914e81dca1624d0322  ./ossllibs_dev.pkg
+669fa121aea71c575f3d15a47b263680  ./ossllibs.pkg
+c179fc570282afc12c3a6eee101ced0d  ./slack-desc.openssl
+4b7562095ddf28453d54af0ad455a9a5  ./slack-desc.openssl-solibs
Index: npl/system/openssl/openssl.version
===================================================================
--- npl/system/openssl/openssl.version	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl.version	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-1.1.0i
+1.0.2p
Index: npl/system/openssl/openssl_dev.build
===================================================================
--- npl/system/openssl/openssl_dev.build	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl_dev.build	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-6529
+6530
Index: npl/system/openssl/openssl_dev.version
===================================================================
--- npl/system/openssl/openssl_dev.version	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/openssl_dev.version	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-1.1.0i
+1.0.2p
Index: npl/system/openssl/ossllibs.build
===================================================================
--- npl/system/openssl/ossllibs.build	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/ossllibs.build	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-6529
+6530
Index: npl/system/openssl/ossllibs.version
===================================================================
--- npl/system/openssl/ossllibs.version	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/ossllibs.version	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-1.1.0i
+1.0.2p
Index: npl/system/openssl/ossllibs_dev.build
===================================================================
--- npl/system/openssl/ossllibs_dev.build	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/ossllibs_dev.build	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-6529
+6530
Index: npl/system/openssl/ossllibs_dev.version
===================================================================
--- npl/system/openssl/ossllibs_dev.version	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/ossllibs_dev.version	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,1 +1,1 @@
-1.1.0i
+1.0.2p
Index: npl/system/openssl/slack-desc.openssl
===================================================================
--- npl/system/openssl/slack-desc.openssl	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/slack-desc.openssl	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description.  Line
 # up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
 # leave one space after the ':'.
 
@@ -13,7 +13,7 @@
 openssl:
 openssl: This product includes software developed by the OpenSSL Project for
-openssl: use in the OpenSSL Toolkit (http://www.openssl.org). This product
+openssl: use in the OpenSSL Toolkit (http://www.openssl.org).  This product
 openssl: includes cryptographic software written by Eric Young
-openssl: (eay@cryptsoft.com). This product includes software written by Tim
+openssl: (eay@cryptsoft.com).  This product includes software written by Tim
 openssl: Hudson (tjh@cryptsoft.com).
 openssl:
Index: npl/system/openssl/slack-desc.openssl-solibs
===================================================================
--- npl/system/openssl/slack-desc.openssl-solibs	(revision 66e7a2cd298b609ae9cb107278b1a8c11b8edf5f)
+++ npl/system/openssl/slack-desc.openssl-solibs	(revision 4933918ca960805e0bfe04d934c19676babc6494)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description.  Line
 # up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
 # leave one space after the ':'.
 
@@ -13,7 +13,7 @@
 openssl-solibs:
 openssl-solibs: This product includes software developed by the OpenSSL Project for
-openssl-solibs: use in the OpenSSL Toolkit (http://www.openssl.org). This product
+openssl-solibs: use in the OpenSSL Toolkit (http://www.openssl.org).  This product
 openssl-solibs: includes cryptographic software written by Eric Young
-openssl-solibs: (eay@cryptsoft.com). This product includes software written by Tim
+openssl-solibs: (eay@cryptsoft.com).  This product includes software written by Tim
 openssl-solibs: Hudson (tjh@cryptsoft.com).
 openssl-solibs: