Index: npl/overig/nodejs/nodejs.SlackBuild
===================================================================
--- npl/overig/nodejs/nodejs.SlackBuild	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs.SlackBuild	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/nodejs/nodejs.arch
===================================================================
--- npl/overig/nodejs/nodejs.arch	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs.arch	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/nodejs/nodejs.build
===================================================================
--- npl/overig/nodejs/nodejs.build	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs.build	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/nodejs/nodejs.md5
===================================================================
--- npl/overig/nodejs/nodejs.md5	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs.md5	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,5 @@
+9f597c1212444e1ad76fb3480fc72921  ./nodejs_dev.pkg
+5a6c22c0ed27aaceba70d5716aca3090  ./nodejs.pkg
+af7926b687eeb7f4adfe2e579d367f9e  ./nodejs.SlackBuild
+55a6d79e6dd05581b6f61fc4d7cb15dd  ./nodejs.SlackBuild.log.gz
+7482b2523f72000d1b6060c38945026b  ./node-v8.9.1.tar.gz
Index: npl/overig/nodejs/nodejs.version
===================================================================
--- npl/overig/nodejs/nodejs.version	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs.version	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,1 @@
+v8.9.1
Index: npl/overig/nodejs/nodejs_dev.arch
===================================================================
--- npl/overig/nodejs/nodejs_dev.arch	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs_dev.arch	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/nodejs/nodejs_dev.build
===================================================================
--- npl/overig/nodejs/nodejs_dev.build	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs_dev.build	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/nodejs/nodejs_dev.version
===================================================================
--- npl/overig/nodejs/nodejs_dev.version	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
+++ npl/overig/nodejs/nodejs_dev.version	(revision 6619178b29130b1e0e0da7195b538412ccdf17d0)
@@ -0,0 +1,1 @@
+v8.9.1