Index: npl/perl/Net/buildmods.SlackBuild
===================================================================
--- npl/perl/Net/buildmods.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/buildmods.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -2,4 +2,5 @@
 #DEP:perl
 #DEP:perlmod_Digest_HMAC
+#DEP:libidn
 
 #Standaard script voor Syn-3 perlmodules.
Index: npl/perl/Net/buildmods.depver
===================================================================
--- npl/perl/Net/buildmods.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/Net/buildmods.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,3 @@
+perl	1
+perlmod_Digest_HMAC	0
+libidn	0
Index: npl/perl/Net/buildmods.md5
===================================================================
--- npl/perl/Net/buildmods.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/buildmods.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,9 +1,12 @@
-749a04eb4377e889ed58d004536a9117  ./Net-DNS-0.47.tar.gz
-eaed21e51f6164581ebb37d0f6a4f605  ./Net-Ping-2.31.tar.gz
-0b8553db414dac4c43b9f9282f8e149c  ./Net-Server-0.87.tar.gz
-2f7d34b09d6117baefe89d44cff9d5fc  ./Net-Telnet-3.03.tar.gz
-1a8b361e5ea3b96c615062383924e4a6  ./buildmods.SlackBuild
-efbdeea3909c75f8207e84b06e2aedc2  ./perlmod_Net_DNS.pkg
-6644854792e6f153cfb35df98e4dfa63  ./perlmod_Net_Ping.pkg
-a4deff653fb84cc45c4beb2376b5504a  ./perlmod_Net_Server.pkg
-35776bcfa0590fa4179c7e22624e9a1d  ./perlmod_Net_Telnet.pkg
+10f7b9f2deb0aeeb13a940d26b7789b4  ./buildmods.SlackBuild
+2da46a84a60860aed4e15ae93d7c85ae  ./buildmods.SlackBuild.log.gz
+28fcbcbf4483a9f23f75be4b9e3e45c8  ./Net-DNS-1.17.tar.gz
+c3e4de2065009d67bcb1df0afb473e12  ./Net-LibIDN-0.12.tar.gz
+42fcba3a89538053a44294d33bcfbdd1  ./Net-Ping-2.70.tar.gz
+d45a0700d820b3eebd1e9e14611b1613  ./Net-Server-2.009.tar.gz
+d2514080116c1b0fa5f96295c84538e3  ./Net-Telnet-3.04.tar.gz
+062445e2679ad93ecf15dd5d020b174e  ./perlmod_Net_DNS.pkg
+a2b57552bc005ea8f8b495e22f048d92  ./perlmod_Net_LibIDN.pkg
+16974b05a3ded4ea4b5ff72ef12ce65b  ./perlmod_Net_Ping.pkg
+8ebb1df6bddb29d550f7639732c8bb79  ./perlmod_Net_Server.pkg
+acbd59ed489ddeb27b90bd0e9ac596b7  ./perlmod_Net_Telnet.pkg
Index: npl/perl/Net/perlmod_Net_DNS.build
===================================================================
--- npl/perl/Net/perlmod_Net_DNS.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_DNS.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-2056
+2058
Index: npl/perl/Net/perlmod_Net_DNS.version
===================================================================
--- npl/perl/Net/perlmod_Net_DNS.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_DNS.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-0.47
+1.17
Index: npl/perl/Net/perlmod_Net_LibIDN.arch
===================================================================
--- npl/perl/Net/perlmod_Net_LibIDN.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/Net/perlmod_Net_LibIDN.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/Net/perlmod_Net_LibIDN.build
===================================================================
--- npl/perl/Net/perlmod_Net_LibIDN.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/Net/perlmod_Net_LibIDN.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/Net/perlmod_Net_LibIDN.version
===================================================================
--- npl/perl/Net/perlmod_Net_LibIDN.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/Net/perlmod_Net_LibIDN.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.12
Index: npl/perl/Net/perlmod_Net_Ping.build
===================================================================
--- npl/perl/Net/perlmod_Net_Ping.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_Ping.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-2056
+2058
Index: npl/perl/Net/perlmod_Net_Ping.version
===================================================================
--- npl/perl/Net/perlmod_Net_Ping.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_Ping.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-2.31
+2.70
Index: npl/perl/Net/perlmod_Net_Server.build
===================================================================
--- npl/perl/Net/perlmod_Net_Server.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_Server.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-2056
+2058
Index: npl/perl/Net/perlmod_Net_Server.version
===================================================================
--- npl/perl/Net/perlmod_Net_Server.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_Server.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-0.87
+2.009
Index: npl/perl/Net/perlmod_Net_Telnet.build
===================================================================
--- npl/perl/Net/perlmod_Net_Telnet.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_Telnet.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-2056
+2058
Index: npl/perl/Net/perlmod_Net_Telnet.version
===================================================================
--- npl/perl/Net/perlmod_Net_Telnet.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/perl/Net/perlmod_Net_Telnet.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-3.03
+3.04