Index: npl/syn3/syn3-scripts/etc/nscd.conf
===================================================================
--- npl/syn3/syn3-scripts/etc/nscd.conf	(revision 10519866904075e60b3e6a6eefc6e0bec58b4554)
+++ npl/syn3/syn3-scripts/etc/nscd.conf	(revision 10519866904075e60b3e6a6eefc6e0bec58b4554)
@@ -0,0 +1,86 @@
+# SYN-3 nscd config
+#
+# Legal entries are:
+#
+#	logfile			<file>
+#	debug-level		<level>
+#	threads			<initial #threads to use>
+#	max-threads		<maximum #threads to use>
+#	server-user             <user to run server as instead of root>
+#		server-user is ignored if nscd is started with -S parameters
+#       stat-user               <user who is allowed to request statistics>
+#	reload-count		unlimited|<number>
+#	paranoia		<yes|no>
+#	restart-interval	<time in seconds>
+#
+#       enable-cache		<service> <yes|no>
+#	positive-time-to-live	<service> <time in seconds>
+#	negative-time-to-live   <service> <time in seconds>
+#       suggested-size		<service> <prime number>
+#	check-files		<service> <yes|no>
+#	persistent		<service> <yes|no>
+#	shared			<service> <yes|no>
+#	max-db-size		<service> <number bytes>
+#	auto-propagate		<service> <yes|no>
+
+#
+# Currently supported cache names (services): passwd, group, hosts, services
+#
+
+
+#	logfile			/var/log/nscd.log
+#	threads			4
+#	max-threads		32
+#	server-user		nobody
+#	stat-user		somebody
+	debug-level		0
+#	reload-count		5
+	paranoia		no
+#	restart-interval	3600
+
+	enable-cache		passwd		yes
+	positive-time-to-live	passwd		600
+	negative-time-to-live	passwd		20
+	suggested-size		passwd		211
+	check-files		passwd		yes
+	persistent		passwd		no
+	shared			passwd		yes
+	max-db-size		passwd		33554432
+	auto-propagate		passwd		no
+
+	enable-cache		group		yes
+	positive-time-to-live	group		3600
+	negative-time-to-live	group		60
+	suggested-size		group		211
+	check-files		group		yes
+	persistent		group		no
+	shared			group		yes
+	max-db-size		group		33554432
+	auto-propagate		group		yes
+
+	enable-cache		hosts		yes
+	positive-time-to-live	hosts		3600
+	negative-time-to-live	hosts		20
+	suggested-size		hosts		211
+	check-files		hosts		yes
+	persistent		hosts		no
+	shared			hosts		yes
+	max-db-size		hosts		33554432
+
+	enable-cache		services	yes
+	positive-time-to-live	services	28800
+	negative-time-to-live	services	20
+	suggested-size		services	211
+	check-files		services	yes
+	persistent		services	no
+	shared			services	yes
+	max-db-size		services	33554432
+
+	enable-cache		netgroup	yes
+	positive-time-to-live	netgroup	28800
+	negative-time-to-live	netgroup	20
+	suggested-size		netgroup	211
+	check-files		netgroup	yes
+	persistent		netgroup	no
+	shared			netgroup	yes
+	max-db-size		netgroup	33554432
Index: npl/syn3/syn3-scripts/syn3_scripts.build
===================================================================
--- npl/syn3/syn3-scripts/syn3_scripts.build	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
+++ npl/syn3/syn3-scripts/syn3_scripts.build	(revision 10519866904075e60b3e6a6eefc6e0bec58b4554)
@@ -1,1 +1,1 @@
-6548
+6549
Index: npl/syn3/syn3-scripts/syn3_scripts.md5
===================================================================
--- npl/syn3/syn3-scripts/syn3_scripts.md5	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
+++ npl/syn3/syn3-scripts/syn3_scripts.md5	(revision 10519866904075e60b3e6a6eefc6e0bec58b4554)
@@ -7,4 +7,5 @@
 b2e73ab94b16d02459dc8b423fffdfc0  ./etc/fstab.new
 50d1445c57e45d8e1c567174a43d5e1f  ./etc/inittab
+ec805b448f861aaf5fc09ac1db3dcbdc  ./etc/nscd.conf
 c971ba81784f74fbbfcc57565e4ad462  ./etc/profile
 8193fc5f028dd870c5509e3562b69320  ./etc/rc.d/rc.6
@@ -37,5 +38,5 @@
 fc6f8095cc36faf65387a734e6b0257b  ./scripts/syn3-graphcreate
 f40d6fd3e02d004c24e6a29774768d15  ./scripts/syn3-graphdraw
-b9d5545f1d747063e8895816e515afd2  ./scripts/syn3-heartbeatcheck
+417d4793a4c15476f70014d2ba2b14f9  ./scripts/syn3-heartbeatcheck
 594e3668dd4e870eed594525e37405e9  ./scripts/syn3-info
 bc47abf9bb2ba08b7411fd3e47d085ac  ./scripts/syn3-ldapcheck
@@ -48,5 +49,5 @@
 f5b6c460bd2087e7efa45e40b2f555fd  ./scripts/syn3-resourcecheck
 40a38de492c873e506fa105c59c00689  ./scripts/syn3-shutdown
-882353d3e18ce7f15d69eadfc92f9b70  ./scripts/syn3-state
+2b270b1eee85a30520fea6ddeb480d39  ./scripts/syn3-state
 87985f3956b9023c30f07d20d73bba26  ./scripts/syn3-statistics
 c51c246039b370ab136ab0e70e63c007  ./scripts/syn3-status
@@ -56,6 +57,6 @@
 9a6f2d29575a2d96c7ee4ba951e399ae  ./service/nscd/run
 b632afbac157b5bce045ab314bb6d758  ./service/nscd/start
-29bc058ade2ac312f0a84ccc9ea1d7ce  ./syn3_scripts.pkg
+02c7634674fbfea09be495f190908cd6  ./syn3_scripts.pkg
 db49168389c87df401130cb7bbd7c9ec  ./syn3_scripts.SlackBuild
-692521008389c97614c6740d37ac149a  ./syn3_scripts.SlackBuild.log.gz
+69b077e8abb86fc8d8c5d25c88620560  ./syn3_scripts.SlackBuild.log.gz
 a2ec418aadb1dba862d35fc960595c8e  ./updatelang.sh